org.eclipse.emf.cdo.common.revision

## Interface CDOIDAndBranch

- All Superinterfaces:
    CDOBranchProvider, CDOIdentifiable

      public interface CDOIDAndBranch
      extends CDOIdentifiable, CDOBranchProvider

  An `ID` / `branch` pair.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranch` | `getBranch()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

- - ### Method Detail

    - #### getBranch

          CDOBranch getBranch()

      Specified by:
        `getBranch` in interface `CDOBranchProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html